<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/game/player.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_b0ef9bf4b1088606ddc71a6c73915b53.html">game</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">player.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;string&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;QJsonObject&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for player.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="player_8hpp__incl.png" border="0" usemap="#backend_2src_2lib_2game_2player_8hpp" alt=""/></div>
<map name="backend_2src_2lib_2game_2player_8hpp" id="backend_2src_2lib_2game_2player_8hpp">
<area shape="rect" title=" " alt="" coords="144,5,304,47"/>
<area shape="rect" title=" " alt="" coords="5,95,64,121"/>
<area shape="rect" title=" " alt="" coords="88,95,168,121"/>
<area shape="rect" title=" " alt="" coords="193,95,255,121"/>
<area shape="rect" title=" " alt="" coords="280,95,381,121"/>
<area shape="rect" title=" " alt="" coords="406,95,530,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="player_8hpp__dep__incl.png" border="0" usemap="#backend_2src_2lib_2game_2player_8hppdep" alt=""/></div>
<map name="backend_2src_2lib_2game_2player_8hppdep" id="backend_2src_2lib_2game_2player_8hppdep">
<area shape="rect" title=" " alt="" coords="341,5,501,47"/>
<area shape="rect" href="game_8hpp.html" title=" " alt="" coords="283,95,443,136"/>
<area shape="rect" href="game_2test_8cpp.html" title=" " alt="" coords="5,184,165,225"/>
<area shape="rect" href="test__game__player_8cpp.html" title=" " alt="" coords="562,184,726,225"/>
<area shape="rect" href="player_8cpp.html" title=" " alt="" coords="517,95,677,136"/>
<area shape="rect" href="game_8cpp.html" title=" " alt="" coords="189,184,349,225"/>
<area shape="rect" href="moxit__server_8h.html" title=" " alt="" coords="374,184,538,225"/>
<area shape="rect" href="moxit__server_8cpp.html" title=" " alt="" coords="281,273,445,315"/>
<area shape="rect" href="backend_2src_2main_8cpp.html" title=" " alt="" coords="469,281,632,307"/>
</map>
</div>
</div>
<p><a href="player_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPlayer.html">Player</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4eb9de61f60782def9b46a10806bc2b8"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="player_8hpp.html#a4eb9de61f60782def9b46a10806bc2b8">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="classPlayer.html">Player</a> &amp;p)</td></tr>
<tr class="separator:a4eb9de61f60782def9b46a10806bc2b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a4eb9de61f60782def9b46a10806bc2b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eb9de61f60782def9b46a10806bc2b8">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classPlayer.html">Player</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
